//--
//--    Copyright  1994,1995 Uluwatu Software.  All rights reserved.
//--
//--	Author:  Mark Salsbery (CIS 71603,3643)
//--
//-- 	Feel free to use this code any way you wish (at your own risk,
//--	  of course).
//--

#include <owl\owlpch.h>
#include <owl\docview.rh>
#include <owl\mdi.h>
#include <owl\mdichild.h>
#include <owl\docview.h>
#include <owl\docmanag.h>
#include <owl\opensave.h>
#include <owl\dialog.h>
#include <owl\combobox.h>
#include <owl\checkbox.h>
#include <owl\static.h>
#include <owl\module.h>
#include <dir.h>
#include <bwcc.h>
#include "testapp.rh"
#include "opsavdlg.h"
#include "docmgr.h"
#include "testapp.h"



//-------------
//  OwlMain()
//-------------
int OwlMain(int, char *[])
{
	BWCCGetVersion();

	return TestApp().Run();
}



DEFINE_RESPONSE_TABLE1(TestApp, TApplication)
	EV_OWLVIEW(dnCreate, EvNewView),
END_RESPONSE_TABLE;



//----------------------
//  TestApp::TestApp()
//----------------------
TestApp::TestApp() : TApplication("Test Application")
{
}


//-----------------------
//  TestApp::~TestApp()
//-----------------------
TestApp::~TestApp()
{
}


//-----------------------------
//  TestApp::InitMainWindow()
//-----------------------------
void TestApp::InitMainWindow()
{
	SetDocManager(new TCustomDocManager(dmMDI | dmMenu));

	pMDIClient = new TMDIClient;

	TMDIFrame *Frame = new TMDIFrame(Name,IDM_DEFAULT,*pMDIClient);

	Frame->SetIcon(this,IDI_TESTAPP);

	SetMainWindow(Frame);

	GetMainWindow()->SetMenuDescr(TMenuDescr(IDM_DEFAULT,1,0,0,0,0,0));
}


//------------------------
//  TestApp::EvNewView()
//------------------------
void TestApp::EvNewView(TView &View)
{
	TMDIChild *ChildFrame = new TMDIChild(*pMDIClient,0,
													 View.GetWindow(),FALSE);

	ChildFrame->Create();
}



